Main Page Widgets Namespaces Book

# Gtk::PrintOperationPreview Class Reference
[Printing]

Inheritance diagram for Gtk::PrintOperationPreview:

[legend]

List of all members.

## Detailed Description

Since gtkmm 2.10:

## Public Member Functions

void | end_preview ()
| Ends a preview.
virtual void | end_preview_vfunc ()
const GtkPrintOperationPreview* | gobj () const
| Provides access to the underlying C GObject.
GtkPrintOperationPreview* | gobj ()
| Provides access to the underlying C GObject.
bool | is_selected (int page_nr) const
| Returns: `true` if the page has been selected for printing.
virtual bool | is_selected_vfunc (int page_nr) const
void | render_page (int page_nr)
| Renders a page to the preview, using the print context that was passed to the Gtk::PrintOperation::preview handler together with preview.
virtual void | render_page_vfunc (int page_nr)
Glib::SignalProxy2< void, const Glib::RefPtr <PrintContext>&, const Glib::RefPtr<PageSetup >&> | signal_got_page_size ()
Glib::SignalProxy1< void, const Glib::RefPtr <PrintContext >&> | signal_ready ()
virtual | ~PrintOperationPreview ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Protected Member Functions

virtual void | on_got_page_size (const Glib::RefPtr<PrintContext>& context, const Glib::RefPtr<PageSetup>& page_setup)
virtual void | on_ready (const Glib::RefPtr<PrintContext>& context)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr <Gtk::PrintOperationPreview> | wrap (GtkPrintOperationPreview* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::PrintOperationPreview::~PrintOperationPreview | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::PrintOperationPreview::add_interface | ( | GType | gtype_implementer | ) | `[static]`

void Gtk::PrintOperationPreview::end_preview | ( |  | ) |

Ends a preview.

This function must be called to finish a custom print preview.

Since gtkmm 2.10:

virtual void Gtk::PrintOperationPreview::end_preview_vfunc | ( |  | ) | `[virtual]`

const GtkPrintOperationPreview* Gtk::PrintOperationPreview::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::PrintOperation.

GtkPrintOperationPreview* Gtk::PrintOperationPreview::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::PrintOperation.

bool Gtk::PrintOperationPreview::is_selected | ( | int | page_nr | ) | const

Returns: `true` if the page has been selected for printing.

Parameters:

  | page_nr | A page number.

Returns:
  `true` if the page has been selected for printing

Since gtkmm 2.10:

virtual bool Gtk::PrintOperationPreview::is_selected_vfunc | ( | int | page_nr | ) | const`[virtual]`

virtual void Gtk::PrintOperationPreview::on_got_page_size | ( | const Glib::RefPtr<PrintContext>& | context,
|  | const Glib::RefPtr<PageSetup>& | page_setup |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::PrintOperationPreview::on_ready | ( | const Glib::RefPtr<PrintContext>& | context | ) | `[protected, virtual]`

void Gtk::PrintOperationPreview::render_page | ( | int | page_nr | ) |

Renders a page to the preview, using the print context that was passed to the Gtk::PrintOperation::preview handler together with preview.

Note that this function requires a suitable cairo context to be associated with the print context.

Since gtkmm 2.10:

Parameters:

  | page_nr | The page to render.

virtual void Gtk::PrintOperationPreview::render_page_vfunc | ( | int | page_nr | ) | `[virtual]`

Glib::SignalProxy2<void,const Glib::RefPtr<PrintContext>&,const Glib::RefPtr<PageSetup>&> Gtk::PrintOperationPreview::signal_got_page_size | ( |  | ) |

Prototype:
  `void on_my_got_page_size(const Glib::RefPtr<PrintContext>& context, const Glib::RefPtr<PageSetup>& page_setup)`

Glib::SignalProxy1<void,const Glib::RefPtr<PrintContext>&> Gtk::PrintOperationPreview::signal_ready | ( |  | ) |

Prototype:
  `void on_my_ready(const Glib::RefPtr<PrintContext>& context)`

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::PrintOperationPreview> wrap | ( | GtkPrintOperationPreview * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- printoperationpreview.h